#version 120

uniform vec4 tex0PlaneS;
uniform vec4 tex0PlaneT;
uniform vec4 tex0PlaneQ;

uniform vec4 tex1PlaneS;

void main() {
	float s = dot(gl_Vertex, tex0PlaneS);
	float t = dot(gl_Vertex, tex0PlaneT);
	float q = dot(gl_Vertex, tex0PlaneQ);
	gl_TexCoord[0] = gl_TextureMatrix[0] * vec4(s, t, 0, q);
	s = dot(gl_Vertex, tex1PlaneS);
	gl_TexCoord[1] = gl_TextureMatrix[0] * vec4(s, 0.5, 0, 1);
	gl_Position = ftransform();
}