#version 120

uniform vec4 clipPlane;
uniform mat4 matViewRev;

attribute vec2 attr_TexCoord;

varying float clipPlaneDist; 

void main() {
	gl_TexCoord[0] = gl_TextureMatrix[0] * vec4(attr_TexCoord, 0, 1);
	clipPlaneDist = dot(matViewRev * gl_ModelViewMatrix * gl_Vertex, clipPlane);
	gl_Position = ftransform();
}