#version 120

uniform sampler2D texture0;
uniform sampler2D texture1;
uniform vec3 fogColor;

void main() {
	vec4 texel0 = texture2D(texture0, gl_TexCoord[0].xy);
	vec4 texel1 = texture2D(texture1, gl_TexCoord[1].xy);
	gl_FragColor = vec4(fogColor, 1)*texel0*texel1;	
}