#version 120

uniform vec4 tex0PlaneS;

uniform vec4 tex1PlaneT;

uniform float fogEnter;

void main() {
	float s = dot(gl_Vertex, tex0PlaneS);
	float t = 0.5;
	gl_TexCoord[0] = gl_TextureMatrix[0] * vec4(s, t, 0, 1);
	s = fogEnter;
	t = dot(gl_Vertex, tex1PlaneT);
	gl_TexCoord[1] = gl_TextureMatrix[0] * vec4(s, t, 0, 1);
	gl_Position = ftransform();
}