#version 120

uniform vec4 colorMul;
uniform vec4 colorAdd;
uniform float screenTex;

attribute vec2 attr_TexCoord;
attribute vec4 attr_Color;

void main() {
	gl_FrontColor = attr_Color * colorMul + colorAdd;
	gl_Position = ftransform();
	if (screenTex == 1.0) 
		gl_TexCoord[0] = gl_Position;
	else
		gl_TexCoord[0] = gl_TextureMatrix[0] * vec4(attr_TexCoord, 0, 1);
}