#version 150

uniform sampler2D tex0;
uniform float alphaTest;
uniform vec4 color;

in FragmentData {
	vec2 texCoord;
} frag;

void main() {   
	if (alphaTest >= 0) {
		vec4 tex = texture2D(tex0, frag.texCoord);
		if (tex.a <= alphaTest)
			discard;
	}
	gl_FragColor = color;
}
